PowerPoint7GraphInternal::State Struct Reference documentation

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
PowerPoint7GraphInternal::State Struct Reference

Internal: the state of a PowerPoint7Graph. More...

## Public Member Functions
| State ()
| constructor More...
void | setFrame (Frame *frame)
| try to add a frame More...
void | resetFrame ()
| reset the actual frame More...
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pattern) const
| try to return a pattern More...
bool | getArrow (int id, MWAWGraphicStyle::Arrow &arrow)
| returns an arrow if possible More...
void | initArrows ()
| init the arrow list More...

## Static Public Member Functions
static bool | getCustomShape (int id, MWAWGraphicShape &shape)
| returns a custom shape corresponding to an id More...

## Public Attributes
MWAWVec2i | m_decal
| the decal from file position to final position More...
PowerPoint7Struct::SlideId | m_actualSlideId
| the actual slide id More...
std::vector< MWAWColor > | m_colorList
| the current color list More...
std::vector< MWAWGraphicStyle::Arrow > | m_arrowList
| the arrow list More...
shared_ptr< Frame > | m_actualFrame
| the actual frame More...
shared_ptr< FrameGroup > | m_actualGroup
| the actual group More...
std::map< PowerPoint7Struct::SlideId, std::vector< shared_ptr< Frame > > > | m_idToFrameMap
| a map slide id to the list of frame More...
std::map< int, Picture > | m_idToPictureMap
| a map id to picture More...

## Detailed Description

Internal: the state of a PowerPoint7Graph.

## Constructor & Destructor Documentation

## ◆ State()

PowerPoint7GraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getArrow()

bool PowerPoint7GraphInternal::State::getArrow | ( | int | id,
|  | MWAWGraphicStyle::Arrow & | arrow
| ) |  |
| inline

returns an arrow if possible

## ◆ getCustomShape()

bool PowerPoint7GraphInternal::State::getCustomShape | ( | int | id,
|  | MWAWGraphicShape & | shape
| ) |  |
| static

returns a custom shape corresponding to an id

## ◆ getPattern()

bool PowerPoint7GraphInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pattern
| ) |  | const

try to return a pattern

## ◆ initArrows()

void PowerPoint7GraphInternal::State::initArrows | ( |  | ) |

init the arrow list

## ◆ resetFrame()

void PowerPoint7GraphInternal::State::resetFrame | ( |  | ) |
| inline

reset the actual frame

## ◆ setFrame()

void PowerPoint7GraphInternal::State::setFrame | ( | Frame * | frame | ) |
| inline

try to add a frame

## Member Data Documentation

## ◆ m_actualFrame

shared_ptr<Frame> PowerPoint7GraphInternal::State::m_actualFrame

the actual frame

## ◆ m_actualGroup

shared_ptr<FrameGroup> PowerPoint7GraphInternal::State::m_actualGroup

the actual group

## ◆ m_actualSlideId

PowerPoint7Struct::SlideId PowerPoint7GraphInternal::State::m_actualSlideId

the actual slide id

## ◆ m_arrowList

std::vector<MWAWGraphicStyle::Arrow> PowerPoint7GraphInternal::State::m_arrowList

the arrow list

## ◆ m_colorList

std::vector<MWAWColor> PowerPoint7GraphInternal::State::m_colorList

the current color list

## ◆ m_decal

MWAWVec2i PowerPoint7GraphInternal::State::m_decal

the decal from file position to final position

## ◆ m_idToFrameMap

std::map<PowerPoint7Struct::SlideId, std::vector<shared_ptr<Frame> > > PowerPoint7GraphInternal::State::m_idToFrameMap

a map slide id to the list of frame

## ◆ m_idToPictureMap

std::map<int, Picture> PowerPoint7GraphInternal::State::m_idToPictureMap

a map id to picture

The documentation for this struct was generated from the following file:

- PowerPoint7Graph.cxx